
var adder = (function() {
	return {
		add: function(x, y) { return x + y; }
	};
}());

var calculator = (function(me, adder) {
	me.add = function(x, y) { return adder.add(x, y); };
	return me;
}(calculator || {}, adder));

var calculator = (function(me) {
	me.mult = function(x, y) { return x * y; };
	return me;
}(calculator || {}));

module.exports = calculator;

// Or:
//exports.add = function(x, y) {
//	return x + y;
//};
