var adder = (function() {
	return {
		add: function(x, y) { return x + y; }
	};
}());

var calculator = (function(me) {
	me.mult = function(x, y) { return x * y; };
	return me;
}(calculator || {}));

var calculator = (function(me, adder) {
	me.add = adder.add; 
	return me;
}(calculator || {}, adder));

module.exports = calculator;

// exports.add = .... -- we don't need a module. prefix

